Package opennlp.tools.namefind

## Enum RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER

- java.lang.Object
- - java.lang.Enum<RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER>
  - - opennlp.tools.namefind.RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER

- All Implemented Interfaces:
    `Serializable`, `Comparable<RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER>`, `RegexNameFinderFactory.RegexAble`
  Enclosing class:
    RegexNameFinderFactory

      public static enum RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER
      extends Enum<RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER>
      implements RegexNameFinderFactory.RegexAble

  Enumeration of typical regex expressions available in OpenNLP.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEGREES_MIN_SEC_LAT_LON` |
    `EMAIL` |
    `MGRS` |
    `URL` |
    `USA_PHONE_NUM` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.namefind.RegexNameFinderFactory.RegexAble

      `getRegexMap, getType`

- - ### Enum Constant Detail

    - #### USA_PHONE_NUM

          public static final RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER USA_PHONE_NUM

    - #### EMAIL

          public static final RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER EMAIL

    - #### URL

          public static final RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER URL

    - #### MGRS

          public static final RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER MGRS

    - #### DEGREES_MIN_SEC_LAT_LON

          public static final RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER DEGREES_MIN_SEC_LAT_LON

  - ### Method Detail

    - #### values

          public static RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER c : RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegexNameFinderFactory.DEFAULT_REGEX_NAME_FINDER valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null